Get a Function

Hand off to an LLM

Retrieve a function's current version by name.

Returns the function record with its currentVersionNum and the configuration of that version. To inspect a historical version, use GET /v3/functions/{functionName}/versions/{versionNum}.

GET
/v3/functions/{functionName}
x-api-key<token>

Authenticate using API Key in request header

In: header

Path Parameters

functionName*string

Response Body

application/json

curl -X GET "https://api.bem.ai/v3/functions/string"
{
  "function": {
    "functionID": "string",
    "functionName": "string",
    "versionNum": 0,
    "usedInWorkflows": [
      {
        "workflowID": "string",
        "workflowName": "string",
        "currentVersionNum": 0,
        "usedInWorkflowVersionNums": [
          0
        ]
      }
    ],
    "displayName": "string",
    "tags": [
      "string"
    ],
    "audit": {
      "functionCreatedBy": {
        "userActionID": "string",
        "userID": "string",
        "userEmail": "string",
        "apiKeyName": "string",
        "emailAddress": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "functionLastUpdatedBy": {
        "userActionID": "string",
        "userID": "string",
        "userEmail": "string",
        "apiKeyName": "string",
        "emailAddress": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "versionCreatedBy": {
        "userActionID": "string",
        "userID": "string",
        "userEmail": "string",
        "apiKeyName": "string",
        "emailAddress": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      }
    },
    "type": "transform",
    "outputSchemaName": "string",
    "outputSchema": {},
    "emailAddress": "string",
    "tabularChunkingEnabled": true
  }
}

See also